VPS侦探论坛

 找回密码
 注册
查看: 1273|回复: 4

lnmp1.6 版本 想在不影响服务器其他站点的情况下 使用php7.4

[复制链接]
发表于 2023-4-7 11:54:45 | 显示全部楼层 |阅读模式

服务器上现在是lnmp1.6

执行./install.sh mphp发现不支持php7.4
想再不影响服务器当前站点情况下安装php7.4
需要服务器上php7.2和php7.4共存
需要怎么操作
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-4-7 17:16:55 | 显示全部楼层


lnmp 1.6发布时php 7.3才发布,肯定是不支持php 7.4的
下载lnmp 1.9进行安装就可以了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2023-4-8 15:40:38 | 显示全部楼层

licess 发表于 2023-4-7 17:16
lnmp 1.6发布时php 7.3才发布,肯定是不支持php 7.4的
下载lnmp 1.9进行安装就可以了 ...

如果直接安装1.9  线上其他正在使用的站点会受影响吧
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-4-8 20:38:13 | 显示全部楼层



xiaoxiao 发表于 2023-4-8 15:40
如果直接安装1.9  线上其他正在使用的站点会受影响吧

下载lnmp1.9是用里面的 ./install.sh mphp 安装你需要的多php版本
安装多php版本脚本是会执行 lnmp stop 操作的,所以会影响,如果你机器配置比较高的话可以将include/multiplephp.sh 里面的所有 lnmp stop 和 lnmp start 都删除,就不会影响了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2023-4-10 00:29:04 | 显示全部楼层

xiaoxiao 发表于 2023-4-8 15:40
如果直接安装1.9  线上其他正在使用的站点会受影响吧

不会影响的,放心升级就是了!影响站点的是PHP版本!可以多版本共存即可!

军哥运维代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-5-23 16:55 , Processed in 0.027165 second(s), 16 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表